{"id":26273,"date":"2020-12-29T08:18:56","date_gmt":"2020-12-29T08:18:56","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?p=26273"},"modified":"2023-08-01T12:30:59","modified_gmt":"2023-08-01T11:30:59","slug":"update-nlp-configurations","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/update-nlp-configurations\/","title":{"rendered":"Update NLP Configurations"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>To update the NLP thresholds and configurations<\/p>\n<p>&nbsp;<\/p>\n<table>\n<tbody>\n<tr>\n<td><b>Method<\/b><\/td>\n<td>POST<\/td>\n<\/tr>\n<tr>\n<td><b>Endpoint<\/b><\/td>\n<td><span style=\"font-weight: 400;\"><code>https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/configurations?language={{languageCode}}&amp;groupName={{groupName}}<\/code><\/span><\/td>\n<\/tr>\n<tr>\n<td><b>Content Type<\/b><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>Authorization<\/b><\/td>\n<td><code>auth: {{JWT}}<\/code><\/p>\n<p>See <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\" target=\"_blank\" rel=\"noopener noreferrer\">How to generate the JWT Token<\/a>.<\/td>\n<\/tr>\n<tr>\n<td><b>API Scope<\/b><\/td>\n<td>\n<ul>\n<li>Bot Builder: NLP Configurations<\/li>\n<li>Admin Console: Test &gt; NLP Configurations &amp; Train<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h2>\n<table>\n<thead>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<th><b>Mandate<\/b><\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td><b>host<\/b><\/td>\n<td>The environment URL. For example, <code>https:\/\/bots.kore.ai<\/code><\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td><b>BotID<\/b><\/td>\n<td>The <i>Bot ID<\/i> or <i>Stream ID<\/i> that can be accessed under <b>General Settings<\/b> on the Bot Builder.<\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td><b>languageCode<\/b><\/td>\n<td>The Bot language in which the configurations need to be updated.<\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td><b>groupName<\/b><\/td>\n<td>The <i>GroupName<\/i> can be used to update the ML parameters of a specific group.\u00a0 To update Bot level Intent Model Configurations, <i>groupName<\/i> should be set to &#8220;<i>Bot Level Intent Model<\/i>&#8220;.<\/td>\n<td>Required<br \/>\nfor Multiple ML Model<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h2>\n<pre class=\"code-limit-400px\">curl --location -g --request POST \\\r\n  'https:\/\/{{host}}\/api\/public\/bot\/{{bot-id}}\/configurations?language={{languageCode}}' \\\r\n  --header 'auth: YOUR_JWT_ACCESS_TOKEN' \\\r\n  --header 'content-type: application\/json' \\\r\n  --data-raw '{\r\n    \"advancedNLPSettings\": [\r\n        {\r\n            \"configurationKeyName\": \"NoneIntent\",\r\n            \"configurationValue\": true,\r\n            \"nlpEngine\": \"ML\"\r\n        }\r\n    ],\r\n    \"configurations\": [\r\n        {\r\n            \"mode\": \"ml\",\r\n            \"exactMatchThreshold\": 85,\r\n            \"useDependencyParser\": true,\r\n            \"minThreshold\": 0.2\r\n        },\r\n        {\r\n            \"mode\": \"faq\",\r\n            \"useBotSynonyms\": true,\r\n            \"searchInAnswer\": {\r\n                \"enabled\": true,\r\n                \"notifyUser\": false,\r\n                \"responseType\": \"relevantWithReadMore\",\r\n                \"customReadMoreURL\": \"aa\",\r\n                \"useCustomReadMoreURL\": true\r\n            }\r\n        }\r\n    ],\r\n    \"mlParams\": {\r\n        \"intentParams\": {\r\n            \"features\": \"skip_gram\",\r\n            \"skip_gram\": {\r\n                \"seqLength\": 3,\r\n                \"maxSkipDistance\": 2\r\n            }\r\n        }\r\n    },\r\n    \"nlSettings\": {\r\n        \"enableAutoUtteranceAddition\": false,\r\n        \"enableNegativePatterns\": true\r\n    }\r\n}'\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h2>\n<p>The parameters depend on the threshold configuration that needs to be updated. The comprehensive list of the parameters for the various threshold configurations is given below:<\/p>\n<p>&nbsp;<\/p>\n<h3><span class=\"ez-toc-section\" id=\"Update_Settings\">Update Settings<\/span><\/h3>\n<h4>Machine Learning Engine<\/h4>\n<p>This section refers to the configurations related to the Machine Learning engine. For details on the configurations, please click <a href=\"\/docs\/bots\/nlp\/user-utterances\/#Threshold_Configurations\" target=\"_blank\" rel=\"noopener noreferrer\"> here<\/a>.<\/p>\n<pre class=\"code-limit-400px\">{\r\n    \"configurations\": [\r\n        {\r\n            \"mode\": \"ml\",               \/\/ Machine Learning Engine\r\n            \"exactMatchThreshold\": 90,  \/\/ ML Definitive Score - value in range [80-100]\r\n            \"minThreshold\": 0.4        \/\/ ML threshold - value in range [0-1]\r\n        }\r\n    ],\r\n    \"mlParams\": {\r\n        \"intentParams\": {\r\n            \"useSynonyms\": true,       \/\/ Bot Synonyms\r\n            \"useStopwords\": true,      \/\/ Stopwords\r\n            \"usePlaceholders\": true,   \/\/ Entity Placeholders\r\n            \"features\": \"skip_gram\",       \/\/ Feature Extraction - value in range [skip_gram, n_gram]\r\n            \"skip_gram\": {             \/\/ features should be 'skip_gram'\r\n                \"seqLength\": 2,        \/\/ Sequence Length - value in range [2-4]\r\n                \"maxSkipDistance\": 1   \/\/ Maximum Skip Distance - value in range [1-3]\r\n              }               \/\/ ngram Sequence Length - value in range [1-4]\r\n                                       \/\/ features should be \u2018n_gram\u2019\r\n        },\r\n        \"nerParams\": {\r\n            \"type\": \"corenlp\"          \/\/ NER Model\r\n                                       \/\/ could be \"corenlp\" for  Conditional Random Field\r\n                                       \/\/       or \"spacy\" -  Deep Neural Network\r\n         }\r\n    }\r\n}<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h4>Fundamental Meaning Engine<\/h4>\n<p>This section refers to the configurations related to the Fundamental Meaning engine. For details on the configurations, please click <a href=\"\/docs\/bots\/nlp\/fundamental-meaning\/#Threshold_Configurations\" target=\"_blank\" rel=\"noopener noreferrer\"> here<\/a>.<\/p>\n<pre>{\r\n    \"configurations\": [\r\n        {\r\n            \"mode\": \"cs\",            \/\/ Fundamental Meaning Engine\r\n            \"labelMatch\": true       \/\/ Intent Detection using Task Name Words\r\n            \"isFMThreshold\": true,   \/\/FM Threshold\r\n            \"fmThreshold\": 15        \/\/FM Threshold value\r\n        }\r\n  ]\r\n}<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h4>Knowledge Graph Engine<\/h4>\n<p>This section refers to the configurations related to the Knowledge Graph engine. For details on the configurations, please click <a href=\"\/docs\/bots\/nlp\/knowledge-graph\/#Threshold_Configurations\" target=\"_blank\" rel=\"noopener noreferrer\"> here<\/a>.<\/p>\n<pre class=\"code-limit-400px\">{\r\n    \"configurations\": [\r\n         {\r\n            \"mode\": \"faq\",  \r\n            \"autoSpellCorrectEnabled\": true,             \/\/ Auto Correction\r\n            \"useBotSynonyms\": true,                      \/\/ Bot Synonyms\r\n            \"enPatternLemma\": false,                     \/\/ Lemmatization using Parts of Speech\r\n            \"pathCoverage\": 43,                          \/\/ Path Coverage - value in range [0-100]\r\n            \"exactMatchThreshold\": 93,                   \/\/ Minimum and Definitive Level for Knowledge Tasks\r\n                                                         \/\/ value in range [0-100]\r\n                                                         \/\/ should be more than minThreshold &amp; maxThreshold\r\n            \"maxThreshold\": 83,                          \/\/ Probable range for Knowledge Task\r\n                                                         \/\/ value in range [0-100]\r\n                                                         \/\/ should be between minThreshold &amp; exactMatchThreshold\r\n            \"minThreshold\": 63,                          \/\/ Low confidence range for Knowledge Task\r\n                                                         \/\/ value in range [0-100]\r\n                                                         \/\/ should be less than maxThreshold &amp; exactMatchThreshold  \r\n            \"suggestionsCount\": 3,                       \/\/ KG suggestionsCount | [0-5]\r\n            \"taskMatchTolerance\": 33,                    \/\/ Proximity of Suggested Matches | [0-50]\r\n            \"longResponses\": {\r\n                \"readMore\": true,                        \/\/ Manage Long Responses\r\n                \"useCustomReadMoreURL\": true,            \/\/ readMore should be true\r\n                \"customReadMoreURL\": \"www.siteurl.com\"   \/\/ readMore link; readMore should be true\r\n              },\r\n            \"searchInAnswer\": {\r\n                \"enabled\": true,                         \/\/  Search in Answer\r\n                \"notifyUser\": true,                      \/\/ Inform end user that it is a probable answer\r\n                \"responseType\": \"relevantWithReadMore\",  \/\/ can be \"complete\" - Show complete response,\r\n                                                         \/\/      or \"relevant\" - Show only the relevant paragraph,\r\n                                                         \/\/      or \"relevantWithReadMore\" - Show only the relevant paragraph with \u201cread more\u201d link ]\r\n                \"customReadMoreURL\": \"www.siteurl.com\",  \/\/ \u201cread more\u201d link\r\n                \"useCustomReadMoreURL\": true             \/\/ enabled should be true\r\n            },\r\n            \"qualifyContextualPaths\": false             \/\/ Qualify Contextual Paths\r\n        }\r\n ]\r\n}\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h4>Ranking &amp; Resolver Engine<\/h4>\n<p>This section refers to the configurations related to the Ranking &amp; Resolver engine. For details on the configurations, please click <a href=\"\/docs\/bots\/nlp\/nlp-detection\/\" target=\"_blank\" rel=\"noopener noreferrer\"> here<\/a>.<\/p>\n<pre>{\r\n    \"configurations\": [\r\n        {\r\n            \"mode\": \"rr\",                 \/\/ Ranking and Resolver Engine\r\n            \"taskMatchTolerance\": 3,      \/\/ Proximity of Probable Matches - value in range [0-20]\r\n            \"useDependencyParser\": true,  \/\/ Dependency Parsing Model\r\n            \"minMatchVal\": 0.3,           \/\/ Minimum Match Score - value in range [0-1]\r\n                                          \/\/ useDependencyParser should be true\r\n            \"rankingParameters\": \"\",      \/\/  Advanced Configurations                                           \r\n                                          \/\/ useDependencyParser should be true\r\n            \"intentRescoring\": false,     \/\/ Rescoring of Intents\r\n            \"isPreferDefinitiveMatch\": true \/\/ Prefer Definitive Matches\r\n        }\r\n ]\r\n}\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h4>Advanced NLP Configurations<\/h4>\n<p>This section describes the configurations as given in the Advanced NLP Configurations section of Natural Language -&gt; Training. For details on the configurations, please click <a href=\"\/docs\/bots\/nlp\/advanced-nlp-configurations\/\" target=\"_blank\" rel=\"noopener noreferrer\"> here<\/a>.<\/p>\n<p>The sample request for setting the above-mentioned Advanced NLP Configurations is given below:<\/p>\n<pre>{\r\n    \"advancedNLPSettings\":[\r\n        {\r\n            \"configurationKeyName\": \"NoneIntent\",\r\n            \"configurationValue\":true,\r\n            \"nlpEngine\":\"ML\"\r\n        }\r\n    ]\r\n}\r\n<\/pre>\n<p>The complete list of the permissible advanced NLP configurations settings and the possible values is given below:<\/p>\n<p><strong>Split Compound Words<\/strong><\/p>\n<pre>{\r\n        \"configurationName\": \"Split Compound Words\",\r\n        \"configurationKeyName\": \"splitCompoundWords\",\r\n        \"desc\": \"The settings enables splitting of the compound words into multiple stems and then process the individual stem\",\r\n        \"nlpEngine\": \"ML\",\r\n        \"dataType\": \"Boolean\",\r\n        \"range\": [true, false],\r\n        \"defaultValue\": false,\r\n        \"requiresTraining\": true,\r\n        \"language\": [\"de\", \"nl\"],\r\n        \"isChild\": false\r\n    }\r\n<\/pre>\n<p><strong>None Intent<\/strong><\/p>\n<pre>{\r\n        \"configurationName\": \"None Intent\",\r\n        \"configurationKeyName\": \"NoneIntent\",\r\n        \"desc\": \"Once enabled, a None intent is created which reduces the chances of getting a false positive for an intent match using ML engine\",\r\n        \"nlpEngine\": \"ML\",\r\n        \"dataType\": \"Boolean\",\r\n        \"range\": [true, false],\r\n        \"defaultValue\": true,\r\n        \"requiresTraining\": true,\r\n        \"language\": \"ALL\",\r\n        \"isChild\": false\r\n    }\r\n<\/pre>\n<p><strong>Cosine similarity dampening<\/strong><\/p>\n<pre>{\r\n        \"configurationName\": \"Cosine similarity dampening\",\r\n        \"configurationKeyName\": \"cosineSimilarityDampening\",\r\n        \"desc\": \"Avoid penalty on short length questions using Cosine Similarity Dampening\",\r\n        \"nlpEngine\": \"KG\",\r\n        \"dataType\": \"Boolean\",\r\n        \"range\": [true, false],\r\n        \"defaultValue\": true,\r\n        \"requiresTraining\": false,\r\n        \"language\": \"ALL\",\r\n        \"isChild\": false\r\n    }\r\n<\/pre>\n<p><strong>Network Type<\/strong><\/p>\n<pre>{\r\n        \"configurationName\" : \"Network Type\",\r\n        \"configurationKeyName\" : \"network\",\r\n        \"desc\" : \"Networks available for intent training\",\r\n        \"nlpEngine\" : \"ML\",\r\n        \"dataType\" : \"enum\",\r\n        \"range\" : [\"Standard\",\"MLP-BOW\",\"MLP-WordEmbeddings\",\"LSTM\",\"CNN\", \"KoreBERT\"],\r\n        \"defaultValue\": \"Standard\",\r\n        \"requiresTraining\" : true,\r\n        \"language\" : \"ALL\",\r\n        \"isChild\" : false\r\n    }\r\n<\/pre>\n<p><strong>Epochs<\/strong><\/p>\n<pre>{\r\n        \"configurationName\": \"Epochs\",\r\n        \"configurationKeyName\": \"epochs\",\r\n        \"desc\": \"Number of iterations in training the model\",\r\n        \"nlpEngine\": \"ML\",\r\n        \"dataType\": \"Number\",\r\n        \"range\": [20, 300],\r\n        \"defaultValue\": 20,\r\n        \"requiresTraining\" : true,\r\n        \"language\" : \"ALL\",\r\n        \"isChild\" : true,\r\n        \"parentConfiguration\" : \"network\",\r\n        \"requiredParentInput\" : [\"MLP-BOW\",\"MLP-WordEmbeddings\",\"LSTM\",\"CNN\",\"KoreBERT\"]\r\n    }\r\n<\/pre>\n<p><strong>Batch Size<\/strong><\/p>\n<pre>{\r\n        \"configurationName\" : \"Batch Size\",\r\n        \"configurationKeyName\" : \"batch_size\",\r\n        \"desc\" : \"Number of training samples used for each batch while training\",\r\n        \"nlpEngine\" : \"ML\",\r\n        \"dataType\" : \"Number\",\r\n        \"range\" : [10,30],\r\n        \"defaultValue\":10,\r\n        \"requiresTraining\" : true,\r\n        \"language\" : \"ALL\",\r\n        \"isChild\" : true,\r\n        \"parentConfiguration\" : \"network\",\r\n        \"requiredParentInput\" : [\"MLP-BOW\",\"MLP-WordEmbeddings\",\"LSTM\",\"CNN\",\"KoreBERT\"]\r\n    }\r\n<\/pre>\n<p><strong>Learning rate<\/strong><\/p>\n<pre>{\r\n        \"configurationName\": \"Learning rate\",\r\n        \"configurationKeyName\": \"lr\",\r\n        \"desc\": \"Learning rate is a hyper-parameter that controls how much we are adjusting the weights of our network with respect to the loss gradient\",\r\n        \"nlpEngine\": \"ML\",\r\n        \"dataType\": \"enum\",\r\n        \"range\": [1e-4, 1e-3, 1e-2],\r\n        \"defaultValue\": 1e-3,\r\n        \"requiresTraining\" : true,\r\n        \"language\" : \"ALL\",\r\n        \"isChild\" : true,\r\n        \"parentConfiguration\" : \"network\",\r\n        \"requiredParentInput\" : [\"MLP-BOW\",\"MLP-WordEmbeddings\",\"LSTM\",\"CNN\",\"KoreBERT\"]\r\n    }\r\n<\/pre>\n<p><strong>Dropout<\/strong><\/p>\n<pre>{\r\n        \"configurationName\": \"Dropout\",\r\n        \"configurationKeyName\": \"dropout\",\r\n        \"desc\": \"Regularization parameter to avoid overfitting of the model\",\r\n        \"nlpEngine\": \"ML\",\r\n        \"dataType\": \"Number\",\r\n        \"range\": [0, 0.8],\r\n        \"defaultValue\": 0,\r\n        \"requiresTraining\" : true,\r\n        \"language\" : \"ALL\",\r\n        \"isChild\" : true,\r\n        \"parentConfiguration\" : \"network\",\r\n        \"requiredParentInput\" : [\"MLP-BOW\",\"MLP-WordEmbeddings\",\"LSTM\",\"CNN\", \"KoreBERT\"]\r\n    }\r\n<\/pre>\n<p><strong>Vectorizer<\/strong><\/p>\n<pre>{\r\n        \"configurationName\": \"Vectorizer\",\r\n        \"configurationKeyName\": \"vector_type\",\r\n        \"desc\": \"Feature extraction technique on training data\",\r\n        \"nlpEngine\": \"ML\",\r\n        \"dataType\": \"enum\",\r\n        \"range\": [\"count\", \"tfidf\"],\r\n        \"defaultValue\": \"count\",\r\n        \"requiresTraining\": true,\r\n        \"language\": \"ALL\",\r\n        \"isChild\": true,\r\n        \"parentConfiguration\": \"network\",\r\n        \"requiredParentInput\": [\"MLP-BOW\"]\r\n    }\r\n<\/pre>\n<p><strong>Maximum sequence length<\/strong><\/p>\n<pre>{\r\n        \"configurationName\": \"Maximum sequence length\",\r\n        \"configurationKeyName\": \"max_seq_length\",\r\n        \"desc\": \"Length of the training sample or user input\",\r\n        \"nlpEngine\": \"ML\",\r\n        \"dataType\": \"Number\",\r\n        \"range\": [10, 30],\r\n        \"defaultValue\": 20,\r\n        \"requiresTraining\" : true,\r\n        \"language\" : \"ALL\",\r\n        \"isChild\" : true,\r\n        \"parentConfiguration\" : \"network\",\r\n        \"requiredParentInput\" : [\"MLP-WordEmbeddings\",\"LSTM\",\"CNN\",\"KoreBERT\"]\r\n    }\r\n<\/pre>\n<p><strong>Embeddings Type<\/strong><\/p>\n<pre>{\r\n        \"configurationName\": \"Embeddings Type\",\r\n        \"configurationKeyName\": \"word_embedding_type\",\r\n        \"desc\": \"Feature extraction technique on training data\",\r\n        \"nlpEngine\": \"ML\",\r\n        \"dataType\": \"enum\",\r\n        \"range\": [\"generated\", \"pretrained\", \"random\"],\r\n        \"defaultValue\": \"random\",\r\n        \"requiresTraining\" : true,\r\n        \"language\" : \"ALL\",\r\n        \"isChild\" : true,\r\n        \"parentConfiguration\" : \"network\",\r\n        \"requiredParentInput\" : [\"MLP-WordEmbeddings\",\"LSTM\",\"CNN\", \"KoreBERT\"]\r\n    }\r\n<\/pre>\n<p><strong>Embeddings Dimensions<\/strong><\/p>\n<pre>{\r\n        \"configurationName\": \"Embeddings Dimensions\",\r\n        \"configurationKeyName\": \"embedding_dim\",\r\n        \"desc\": \"Embeddings Dimensions to be used in featurization\",\r\n        \"nlpEngine\": \"ML\",\r\n        \"dataType\": \"Number\",\r\n        \"range\": [100, 400],\r\n        \"defaultValue\": 300,\r\n        \"requiresTraining\" : true,\r\n        \"language\" : \"ALL\",\r\n        \"isChild\" : true,\r\n        \"parentConfiguration\" : \"network\",\r\n        \"requiredParentInput\" : [\"MLP-WordEmbeddings\",\"LSTM\",\"CNN\", \"KoreBERT\"]\r\n    }\r\n<\/pre>\n<p><strong>K Fold Cross-Validation<\/strong><\/p>\n<pre>{\r\n        \"configurationName\" : \"kfold\",\r\n        \"configurationKeyName\" : \"kfold\",\r\n        \"desc\" : \"kfold parameter for Crossvalidation\",\r\n        \"nlpEngine\" : \"ML\",\r\n        \"dataType\" : \"Number\",\r\n        \"range\" : [2,10],\r\n        \"defaultValue\": 5,\r\n        \"requiresTraining\" : true,\r\n        \"language\" : \"ALL\",\r\n        \"isChild\" : false\r\n    }\r\n<\/pre>\n<p><strong>FAQ Name as Intent Name<\/strong><\/p>\n<pre>{\r\n        \"configurationName\": \"FAQ Name as Intent Name\",\r\n        \"configurationKeyName\": \"FAQ_Name_Intent_Name\",\r\n        \"desc\": \"Enable to use FAQ Name as Intent Name. \",\r\n        \"nlpEngine\": \"KG\",\r\n        \"dataType\": \"Boolean\",\r\n        \"range\": [true, false],\r\n        \"defaultValue\": false,\r\n        \"requiresTraining\" : false,\r\n        \"language\" : \"ALL\",\r\n        \"isChild\" : false\r\n    }\r\n<\/pre>\n<p><strong>Fuzzy Match<\/strong><\/p>\n<pre>{\r\n        \"configurationName\" : \"Fuzzy Match\",\r\n        \"configurationKeyName\" : \"fuzzyMatch\",\r\n        \"desc\" : \"This setting enables the use of the fuzzy matching algorithm for intent identification\",\r\n        \"nlpEngine\" : \"ML\",\r\n        \"dataType\" : \"Boolean\",\r\n        \"range\" : [true,false],\r\n        \"defaultValue\": true,\r\n        \"requiresTraining\" : false,\r\n        \"language\" : \"ALL\",\r\n        \"isChild\" : false\r\n    }\r\n<\/pre>\n<p><strong>Handle Negation<\/strong><\/p>\n<pre>{\r\n        \"configurationName\" : \"Handle Negation\",\r\n        \"configurationKeyName\" : \"f_negation\",\r\n        \"desc\" : \"This setting enables the handling of negated words in intent identification\",\r\n        \"nlpEngine\" : \"General\",\r\n        \"dataType\" : \"Boolean\",\r\n        \"range\" : [true,false],\r\n        \"defaultValue\": true,\r\n        \"requiresTraining\" : true,\r\n        \"language\" : [\"en\", \"es\"],\r\n        \"isChild\" : false\r\n    }\r\n<\/pre>\n<p><strong>Ignore Multiple Occurences<\/strong><\/p>\n<pre>{\r\n        \"configurationName\" : \"Ignore Multiple occurences\",\r\n        \"configurationKeyName\" : \"binary\",\r\n        \"desc\" : \"This setting enables to just use presence or absence of a term instead of the raw counts\",\r\n        \"nlpEngine\" : \"ML\",\r\n        \"dataType\" : \"Boolean\",\r\n        \"range\" : [true,false],\r\n        \"defaultValue\": false,\r\n        \"requiresTraining\" : true,\r\n        \"language\" : [\"en\"],\r\n        \"isChild\" : true,\r\n        \"parentConfiguration\" : \"network\",\r\n        \"requiredParentInput\" : [\"MLP-BOW\"]\r\n    }\r\n<\/pre>\n<p><strong>Entity Placeholders in User Utterances<\/strong><\/p>\n<pre>{\r\n        \"configurationName\": \"Test PlaceHolders\",\r\n        \"configurationKeyName\": \"TestPlaceHolders\",\r\n        \"desc\": \"Enable to replace entity values present in the user input with the corresponding entity placeholders during prediction\",\r\n        \"nlpEngine\": \"ML\",\r\n        \"dataType\": \"Boolean\",\r\n        \"range\": [true, false],\r\n        \"defaultValue\": true,\r\n        \"requiresTraining\": false,\r\n        \"language\": \"ALL\",\r\n        \"isChild\": false\r\n    }\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h3><span class=\"ez-toc-section\" id=\"Delete_Settings\">Delete Settings<\/span><\/h3>\n<p>To delete any settings use the name of the settings mentioned in above sections in this way:<\/p>\n<pre>curl --location -g --request POST \\\r\n  'https:\/\/{{host}}\/api\/public\/bot\/{{bot-id}}\/configurations?language={{languageCode}}' \\\r\n  --header 'auth: YOUR_JWT_ACCESS_TOKEN' \\\r\n  --header 'content-type: application\/json' \\\r\n  --data-raw '{\r\n    \"delete\": {\r\n        \"advancedNLPSettings\": [\r\n            \"kfold\"\r\n        ]\r\n    }\r\n}'\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h3><span class=\"ez-toc-section\" id=\"Reset_Settings\">Reset Settings<\/span><\/h3>\n<p>To reset any settings use the name of the settings mentioned in above sections in this way:<\/p>\n<pre class=\"code-limit-400px\">curl --location -g --request POST \\\r\n  'https:\/\/{{host}}\/api\/public\/bot\/{{bot-id}}\/configurations?language={{languageCode}}' \\\r\n  --header 'auth: YOUR_JWT_ACCESS_TOKEN' \\\r\n  --header 'content-type: application\/json' \\\r\n  --data-raw '{\r\n      \"reset\": {\r\n         \"faq\": [\r\n             \"pathCoverage\",                \/\/ Path Coverage\r\n             \"suggestionsCount\",            \/\/ KG suggestionsCount\r\n             \"minimumAndDefinitiveLevels\",  \/\/ Minimum and Definitive Level for Knowledge Tasks (will reset all three values)\r\n             \"taskMatchTolerance\"           \/\/ Proximity of Suggested Matches\r\n        ],\r\n        \"ml\": [\r\n            \"exactMatchThreshold\",          \/\/ ML Definitive Score \r\n            \"minThreshold\"                  \/\/ ML threshold \r\n        ],\r\n        \"rr\": [\r\n            \"taskMatchTolerance\",           \/\/ Proximity of Probable Matches\r\n            \"minMatchVal\"                   \/\/ Minimum Match Score\r\n        ],\r\n        \"mlParams\": [\r\n            \"ngram\",                        \/\/ ngram Sequence Length\r\n            \"seqLength\",                    \/\/ Sequence Length\r\n            \"maxSkipDistance\"               \/\/ Maximum Skip Distance\r\n        ]\r\n    }\r\n}'\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h2>\n<pre>    {\r\n    \"msg\": \"Settings are updated successfully.\"\r\n}\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To update the NLP thresholds and configurations &nbsp; Method POST Endpoint https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/configurations?language={{languageCode}}&amp;groupName={{groupName}} Content Type application\/json Authorization auth: {{JWT}} See How to generate the JWT Token. API Scope Bot Builder: NLP Configurations Admin Console: Test &gt; NLP Configurations &amp; Train &nbsp; Query Parameters Parameter Description Mandate host The environment URL. For example, https:\/\/bots.kore.ai Required BotID The...","protected":false},"author":1,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-26273","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/26273","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=26273"}],"version-history":[{"count":15,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/26273\/revisions"}],"predecessor-version":[{"id":58490,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/26273\/revisions\/58490"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=26273"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=26273"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=26273"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}